Package org.apache.tapestry5.services.javascript

## Class StackExtension

- java.lang.Object
- - org.apache.tapestry5.services.javascript.StackExtension

-     public class StackExtension
      extends java.lang.Object

  A contribution to an extensible `JavaScriptStack`. Such a stack is created in terms of all the contributions.
  Since:
    5.3
  See Also:
    `ExtensibleJavaScriptStack`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `StackExtensionType` | `type` | The type of extension.
    `java.lang.String` | `value` | The value contributed; will have symbols expanded, then be converted to the appropriate type.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StackExtension​(StackExtensionType type, java.lang.String value)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StackExtension` | `javascriptAggregation​(JavaScriptAggregationStrategy strategy)` | Convenience for defining the `JavaScriptStack.getJavaScriptAggregationStrategy()`.
    `static StackExtension` | `library​(java.lang.String path)` | Convenience for defining a LIBRARY.
    `static StackExtension` | `module​(java.lang.String name)` | Convenience for defining a MODULE.
    `static StackExtension` | `stack​(java.lang.String name)` | Convenience for defining a STACK.
    `static StackExtension` | `stylesheet​(java.lang.String path)` | Convenience for defining a STYLESHEET.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final StackExtensionType type

      The type of extension.

    - #### value

          public final java.lang.String value

      The value contributed; will have symbols expanded, then be converted to the appropriate type.

  - ### Constructor Detail

    - #### StackExtension

          public StackExtension​(StackExtensionType type,
                                java.lang.String value)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### library

          public static StackExtension library​(java.lang.String path)

      Convenience for defining a LIBRARY.
      Since:
        5.4

    - #### module

          public static StackExtension module​(java.lang.String name)

      Convenience for defining a MODULE.
      Since:
        5.4

    - #### stylesheet

          public static StackExtension stylesheet​(java.lang.String path)

      Convenience for defining a STYLESHEET.
      Since:
        5.4

    - #### stack

          public static StackExtension stack​(java.lang.String name)

      Convenience for defining a STACK.
      Since:
        5.4

    - #### javascriptAggregation

          public static StackExtension javascriptAggregation​(JavaScriptAggregationStrategy strategy)

      Convenience for defining the `JavaScriptStack.getJavaScriptAggregationStrategy()`.
      Since:
        5.4